# insertteam

### description

Inserts a new team into a Buzzy Organization

### parameters

The `X-Auth-Token` and `X-User-Id` are derived from the values `authToken` and `userId` returned from the login endpoint and are used in the HTTP header.

```
{
        "teamInfo":{
          "organizationID":"<organization which to insert the team into>",
          "_id": "<optional unique identified, will be autogenerated>",
          "name": "<name of team>",
          "description":"<optional description>"
        },
        adminID: "optional userID, that will become the admin of the team, 
        if ot supplied  will be the user making the request"      
}





```

### response

Returns the status of the request including the ID for the new organization.

### example

<pre><code><strong>POST /api/insertteam 
</strong>X-Auth-Token:&#x3C;insert token here>
X-User-Id:&#x3C;insert user id here>

{
        "teamInfo":{
          "organizationID":"&#x3C;organization which to insert the team into>",
          "_id": "&#x3C;optional unique identified, will be autogenerated>",
          "name": "&#x3C;name of team>",
          "description":"&#x3C;optional description>"
        },
        adminID: "optional userID, that will become the admin of the team, 
        if ot supplied  will be the user making the request"      
}
</code></pre>

You should get back:

```
{
    "status": "success", "result":"<result of insert>"
}
```

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.buzzy.buzz/rest-api/buzzy-rest-api/rest-api/user-and-organization-operations/insertteam.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
